org.apache.calcite.avatica.proto

## Interface Common.RowOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.Row, Common.Row.Builder

Enclosing class:
  Common

    public static interface Common.RowOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`Common.ColumnValue` `getValue(int index)` `repeated .ColumnValue value = 1;`
`int` `getValueCount()` `repeated .ColumnValue value = 1;`
`List<Common.ColumnValue>` `getValueList()` `repeated .ColumnValue value = 1;`
`Common.ColumnValueOrBuilder` `getValueOrBuilder(int index)` `repeated .ColumnValue value = 1;`
`List<? extends Common.ColumnValueOrBuilder>` `getValueOrBuilderList()` `repeated .ColumnValue value = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getValueList

    List<Common.ColumnValue> getValueList()

`repeated .ColumnValue value = 1;`

#### getValue

    Common.ColumnValue getValue(int index)

`repeated .ColumnValue value = 1;`

#### getValueCount

    int getValueCount()

`repeated .ColumnValue value = 1;`

#### getValueOrBuilderList

    List<? extends Common.ColumnValueOrBuilder> getValueOrBuilderList()

`repeated .ColumnValue value = 1;`

#### getValueOrBuilder

    Common.ColumnValueOrBuilder getValueOrBuilder(int index)

`repeated .ColumnValue value = 1;`